Bug 200301 - i915 dri: InitDriver failed
i915 dri: InitDriver failed
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 14:59 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 17:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2006-07-26 14:59:55 EDT
Description of problem:

selinux is in permissive mode

# LIBGL_DEBUG=verbose DISPLAY=:0 glxgears
libGL: XF86DRIGetClientDriverName: 1.5.1 i915 (screen 0)
libGL: OpenDriver: trying /usr/X11R6/lib/modules/dri/i915_dri.so
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 4, (OK)
drmOpenByBusid: drmOpenMinor returns 4
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0

ERROR: line 114, Function intelInitDriver, File intel_screen.c
libGL error: InitDriver failed
libGL error: reverting to (slow) indirect rendering

Version-Release number of selected component (if applicable):
mesa-libGL-6.5-5 and reproduced with 6.5-19.fc6

How reproducible:
100%
Comment 1 Mike A. Harris 2006-07-27 17:44:26 EDT
libGL: OpenDriver: trying /usr/X11R6/lib/modules/dri/i915_dri.so
                          ^^^^^^^^^^^^^^

You appear to either have the wrong libGL installed from an older release
of X.  The libGL included in Mesa in Fedora Core 5 and all later builds
loads the DRI drivers from %{_libdir}/dri directly, and does not load
them from /usr/X11R6.

The following should help you to find all libGL's installed on your system:

find / -name "libGL.*"

Uninstall or delete all of them, and reinstall the official Red Hat
mesa-libGL package from rawhide.  Once you have the correct libGL installed,
it will try to load the drivers from /usr/lib/dri


Comment 2 Adam Jackson 2006-08-04 01:03:39 EDT
Updating summary, this apparently has nothing to do with either graphical login
or compositing.
Comment 3 Adam Jackson 2006-09-20 17:51:26 EDT
Unable to repro with FC6t3 or later.  Reporter, after checking the instructions
from comment #2, please reopen if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.